Support » Plugin: mb.YTPlayer for background videos » Fatal Error at install of plus version

  • Resolved saintpid

    (@saintpid)


    I get a error when trying to upgrade to the full version:

    “Fatal error: Using $this when not in object context in /******/******/******/******/wp-content/plugins/wp-ytplayer-plus/inc/mb_notice/notice.php on line 23”

    Changed part of the address with ******, let me know if you need the full path or any other info…

    The free version works with no problems???

    Thanks!
    /Johannes

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author pupunzi

    (@pupunzi)

    Hi Johannes,
    The error you are getting is probably due to an old version of PHP installed on your web server that does’n support OOP…

    What version of PHP you have on your web server?

    To fix the problem you can comment in wp-ytplayer-plus.php from line 152 to line 159.

    If you can change the PHP version to a more recent one that would solve the problem too.

    • This reply was modified 2 years, 3 months ago by  pupunzi.

    Ok, I had PHP version 5.2… That must be it, trying to change that!

    I upgraded to PHP 5.3 and it worked!

    More recent PHP versions crashed my other sites.

    Thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Fatal Error at install of plus version’ is closed to new replies.